Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## edu.cwru.SimpleRTS.action
Enum ActionType

    java.lang.Object
      java.lang.Enum<ActionType>
          edu.cwru.SimpleRTS.action.ActionType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ActionType>

    public enum ActionType

extends java.lang.Enum<ActionType>

Enum Constant Summary
`COMPOUNDATTACK`
`COMPOUNDBUILD`
`COMPOUNDDEPOSIT`
`COMPOUNDGATHER`
`COMPOUNDMOVE`
`COMPOUNDPRODUCE`
`FAILED`
`FAILEDPERMANENTLY`
`PRIMITIVEATTACK`
`PRIMITIVEBUILD`
`PRIMITIVEDEPOSIT`
`PRIMITIVEGATHER`
`PRIMITIVEMOVE`
`PRIMITIVEPRODUCE`

Method Summary
`static ActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIMITIVEMOVE

    public static final ActionType PRIMITIVEMOVE

### PRIMITIVEATTACK

    public static final ActionType PRIMITIVEATTACK

### PRIMITIVEGATHER

    public static final ActionType PRIMITIVEGATHER

### PRIMITIVEDEPOSIT

    public static final ActionType PRIMITIVEDEPOSIT

### PRIMITIVEBUILD

    public static final ActionType PRIMITIVEBUILD

### PRIMITIVEPRODUCE

    public static final ActionType PRIMITIVEPRODUCE

### COMPOUNDMOVE

    public static final ActionType COMPOUNDMOVE

### COMPOUNDATTACK

    public static final ActionType COMPOUNDATTACK

### COMPOUNDGATHER

    public static final ActionType COMPOUNDGATHER

### COMPOUNDDEPOSIT

    public static final ActionType COMPOUNDDEPOSIT

### COMPOUNDBUILD

    public static final ActionType COMPOUNDBUILD

### COMPOUNDPRODUCE

    public static final ActionType COMPOUNDPRODUCE

### FAILED

    public static final ActionType FAILED

### FAILEDPERMANENTLY

    public static final ActionType FAILEDPERMANENTLY

Method Detail

### values

    public static ActionType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ActionType c : ActionType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ActionType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD